import os
from bs4 import BeautifulSoup

# This is meant to generate thw font mapping for python from the font svg


file_path = os.path.dirname(__file__)

def toint(string):
    try:
        return int(string)
    except:
        return None

with open(file_path+"/../../Mappings/GV33 Font.svg", "r") as f:
    soup = BeautifulSoup(f.read(),features="xml")

chars  =soup.find("g", attrs={"inkscape:label":"Chars"})

chars = chars.find_all("g")

chars = {char.get("inkscape:label"): list(map(lambda p: toint(p.get("inkscape:label")), char.find_all("path"))) for char in chars}



with open(file_path+"/gv33.py", "w") as f:
    f.write("gv33="+str(chars))